Project

General

Profile

GX-Bug #66694

Gambio Updater nicht PHP 5.6 kompatibel, sodass statt des Hinweises auf eine neue PHP Version eine Fehlermeldung angezeigt wird

Added by Moritz Bunjes 5 months ago. Updated 5 months ago.

Status:
Erledigt
Priority:
Sofort
Assigned To:
Category:
Updater
Target version:
% Done:

0%

Estimated time:
Steps to reproduce:
Betroffene Versionen:
4.0.0.0, 4.0.0.1, 4.1.1.0 beta4
Release Notes Langtext:

Der Updater und Installer zeigt jetzt zuverlässig eine Meldung, wenn die PHP-Version zu niedrig ist

Story points-Velocity based estimate-

Description

Gambio Updater nicht PHP 5.6 kompatibel, sodass statt des Hinweises auf eine neue PHP Version eine Fehlermeldung angezeigt wird.

Der Updater muss unter jeder PHP Version immer aufrufbar sein und die entsprechende Hinweismeldung anzeigen, dass man PHP 7.1 oder höher benötigt um das Update ausführen zu können.

Gambio Updater is not PHP 5.6 compatible, so instead of the reference to a new PHP version an error message is displayed.

The updater must always be accessible under any PHP version and must display a message that PHP 7.1 or higher is required to run the update.

Parse error: syntax error, unexpected '?' in /system/core/caching/CacheControl.inc.php on line 170
PARSE ERROR(4): "syntax error, unexpected '?'"


Related issues

Copied from GX-Entwicklung - GX-Bug #66593: Gambio Updater nicht PHP 5.6 kompatibel, sodass statt des Hinweises auf eine neue PHP Version eine Fehlermeldung angezeigt wirdErledigt

Actions

History

#1

Updated by Moritz Bunjes 5 months ago

  • Copied from GX-Bug #66593: Gambio Updater nicht PHP 5.6 kompatibel, sodass statt des Hinweises auf eine neue PHP Version eine Fehlermeldung angezeigt wird added
#2

Updated by Moritz Bunjes 5 months ago

  • Status changed from In Bearbeitung to Testing
#3

Updated by Ahmed Hamouda 5 months ago

  • Assigned To changed from Core-Entwickler to Ahmed Hamouda
#4

Updated by Ahmed Hamouda 5 months ago

  • Status changed from Testing to Erledigt
#5

Updated by Moritz Bunjes 5 months ago

  • Release Notes Langtext updated (diff)

Also available in: Atom PDF

Add picture from clipboard (Maximum size: 5 MB)